<template>
  <v-container>
    <form action="" @submit.prevent="onAddPluginFormSubmitted()">
      <h2>Install a new plugin</h2>
      <v-select
        placeholder="select an installable plugin..."
        :items="installablePlugins"
        v-model="selectedPlugin"
      ></v-select>
      <v-btn v-if="selectedPlugin" type="submit" color="primary">Add plugin!</v-btn>
    </form>
  </v-container>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  data: () => ({
    selectedPlugin: null,
  }),
  computed: {
    ...mapGetters("dashboard", ["installablePlugins"]),
  },
  methods: {
    onAddPluginFormSubmitted(){
        this.$store.commit("dashboard/addPlugin", this.selectedPlugin);
        this.selectedPlugin = null;
    }
  }
};
</script>
